Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class Qt.Corner

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.Qt.Corner

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  Qt

    public static final class Qt.Corner

extends java.lang.Enum
implements QtEnumerator

This enum type specifies a corner in a rectangle.

See Also:
  Serialized Form

Field Summary
`static Qt.Corner` | `BottomLeftCorner` The bottom-left corner of the rectangle.
`static Qt.Corner` | `BottomRightCorner` The bottom-right corner of the rectangle.
`static Qt.Corner` | `TopLeftCorner` The top-left corner of the rectangle.
`static Qt.Corner` | `TopRightCorner` The top-right corner of the rectangle.

Method Summary
`static Qt.Corner` | `resolve(int value)` Returns the Corner constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.Corner` | `valueOf(java.lang.String name)`
`static Qt.Corner[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### TopLeftCorner

    public static final Qt.Corner TopLeftCorner

  The top-left corner of the rectangle.

### TopRightCorner

    public static final Qt.Corner TopRightCorner

  The top-right corner of the rectangle.

### BottomLeftCorner

    public static final Qt.Corner BottomLeftCorner

  The bottom-left corner of the rectangle.

### BottomRightCorner

    public static final Qt.Corner BottomRightCorner

  The bottom-right corner of the rectangle.

Method Detail

### values

    public static Qt.Corner[] values()

### valueOf

    public static Qt.Corner valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.Corner resolve(int value)

  Returns the Corner constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD